List Data Objects
List objects in the dataset's bucket. Use prefix to list a folder, and the version
parameters to list object versions instead of current objects.
GET
/datasets/{Dataset_Id}/objects/Path parameters
Dataset_IdPathintegeroptionaldataset id
Query parameters
project_idQueryintegerrequiredProject ID
active_iamQueryintegeroptionalActive IAM ID (To access contact person account) Find your Active IAM ID here
locationQuerystringrequiredLocation
prefixQuerystringoptionalPrefix to filter objects in storage
examplepage_noQueryintegeroptionalThe page number from which you want your page search results to be displayed.
per_pageQueryintegeroptionalNumber of results per page
object_nameQuerystringoptionalList versions of this one object. Omit to list versions of everything under
prefix.exampletrain/images/example.pngrecursiveQuerybooleanoptionalList objects in nested folders as well.
Responses
200Successful response with no data.
HTTP status code for the operation.
example
200An empty array indicating no results.
Any errors encountered during the operation.
Result message of the operation.
example
Success